/* Impact */
/* content */
.impact {
  width: 100%;
  height: initial;
  padding: 0;
  display: flex;
  flex-direction: column;
}

.impactBody {
  height: auto;
}

.impact header {
  position: static;
  margin: 0;
}

.questionnaireHeader {
  margin-bottom: .5rem;
}

.impact form {
  margin-bottom: 2rem;
}
.impact .heading-h1 {
  /* width: min(75%, 40rem); */
  text-align: center;
}
.impact .clickable {
  cursor: pointer;
}
h2 {
  font-synthesis: none;
}

#example-design-p {
  align-content: center;
  line-height: 150%;
  z-index: 1000;
  text-align: center;
  font-synthesis: none;
}

.ex-design-text {
  display: flex;
  position: sticky;
  z-index: 1000;
  justify-content: center;
  width: 100%;
  margin: 0 auto;
  font-size: 0.75rem;
}
.impact .clickable div {
  display: flex;
  align-items: center;
}

.impact__images {
  width: 100%;
}
.impactDisclaimer {
  margin-bottom: 0.75rem;
  font-size: 0.875rem;
}
.impact__cost-wrapper {
  background: #f5f7f9;
  box-shadow: 0px 6px 16px -2px rgba(0, 122, 255, 0.1);
  border-radius: 1rem;
  width: 46.5rem;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 3rem;
}

.impact__included ul li::before {
  content: url("/assets/icons/payment-check-gray.svg");
  margin-right: 0.44rem;
}
.impact__included ul li {
  line-height: 150%;
  display: flex;
  align-items: flex-start;
  color: var(--char);
  margin-bottom: 0.5rem;
}
.impact__cost {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.impact__cost #total {
  margin: 0 .5rem 0 0;
}
.impact__cost .proj-total {
  display: flex;
  align-items: center;
  justify-content: center;
}
.impact__cost .proj-total::before {
  content: "$";
  font-size: 1.75rem;
  margin-bottom: 1rem;
  margin-left: -0.3rem;
}
.impact-header-container .estimated-header {
  margin: 0;
}
.impact__cost > button {
  margin: 0;
}
.impact-header-container {
  margin: .5rem;
}

.impact .content__center {
  position: relative;
  overflow: hidden;
  width: 100%;
  margin-top: 5rem;
}

.upliftPaymentContainer {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0 0 1rem 0;
}
.upliftLogo {
  width: 2.75rem;
  margin-top: 4px;
}

.flexpayLogoImpact {
  width: 4.75rem;
  margin-top: 4px;
  margin-left: 4px;
  margin-right: 4px;
}

.flexpayLogo {
  width: 2.75rem;
}

.info-modals {
  position: relative;
}

.promises p {
  line-height: 18px;
  margin-left: 0.5rem;
  padding-top: 0.25rem;
}
.differentVehicleContainer {
  margin: .5rem 0 1rem 0;
}

.uplift-info-icon {
  top: 0;
  right: -.75rem;
  width: .9rem;
}

@media (min-width: 400px) {
  #impact-main {
    height: 100%;
  }
}

@media (max-width: 768px) {
  .upliftPaymentContainer {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0 1rem 1rem 0;
  }
  .impact__cost-wrapper {
    width: 20.438rem;
    flex-direction: column;
    align-items: center;
    padding: 2rem 0 1.5rem 0;
    margin-top: -1.5rem;
    margin-bottom: 1.5rem;
  }
  .impact__included ul {
    margin-bottom: 1.5rem;
  }
  .impact__included a {
    display: flex;
    width: 100%;
  }
  .impact__cost a {
    display: none;
  }

  .impact__toggle-wrapper {
    padding: 1rem 0 1.5rem 0;
  }

  .button-primary-no-arrow-impact {
    margin-top: 3rem;
    margin-bottom: 1rem;
    width: 17.4rem;
  }
}

@media (max-width: 640px) {
  .content__center .align-left-mobile {
    text-align: left;
    width: 85%;
  }
  .impact .content__center {
    margin-top: 0rem;
  }
  .mobile-only {
    visibility: hidden;
  }
  .impact__cost {
    z-index: 1001;
  }
  .impact__images {
    margin-top: -2rem;
  }
  .impact__images.trailer-images {
    margin-top: 0;
  }
  #stepTwoCta {
    padding-left: .25rem;
    padding-right: .25rem;
  }
  .mobile-show {
    margin-top: 0;
  }

  .overlay-top-carousel {
    background-color: #202020;
    opacity: 0.25;
    width: 100vw;
    height: 100vh;
    position: absolute;
    z-index: 100000;
    display: none;
  }
  .differentVehicleContainer {
    width: 100%;
    text-align: center;
    margin: 0 0 .5rem 0;
  }
  .differentVehicleContainerMobile {
    font-size: .75rem;
  }
}

/* slider */
.slider__wrapper {
  position: relative;
  width: min(100%, 32rem);
  height: 3rem;
  touch-action: none;
  cursor: pointer;
  padding-bottom: 3rem;
}

.slider {
  position: absolute;
  left: calc((100% - var(--slider-width)) / 2);
  top: calc((100% - var(--slider-height)) / 2);
  width: var(--slider-width);
  height: var(--slider-height);
  background-color: var(--smoke);
  clip-path: path("M4,12l492,3.9A7.94,7.94,0,1,0,496,0L4,3.9A4,4,0,0,0,4,12Z");
  z-index: var(--z-index-slider);
}

.slider__progress {
  width: 0%;
  height: 100%;
  background: linear-gradient(97.79deg, var(--blue) 0%, var(--wm-aqua) 139.1%);
  transition: width 0.5s;
}
.slider__thumb {
  position: absolute;
  top: calc((100% - var(--slider-thumb-size)) / 2);
  left: 1%;
  width: var(--slider-thumb-size);
  height: var(--slider-thumb-size);
  transition: left 0.5s;
  border-radius: 50%;
  box-shadow: 0 0.375rem 1rem -0.125rem var(--box-shadow);
  pointer-events: none;
  z-index: var(--z-index-thumb);
}
.slider__button-container {
  display: flex;
  width: 32rem;
  justify-content: space-around;
}

@media (min-width: 640px) and (max-width: 768px) {
  #images .slick-slide {
    width: 480px;
    height: 360px;
  }
  #trailerImages .slick-slide {
    width: 410px;
    height: 350px;
  }
}

@media (max-width: 640px) {
  .slider {
    left: calc((100% - var(--slider-width-mobile)) / 2);
    width: var(--slider-width-mobile);
    border-top-right-radius: 0.75rem;
    border-bottom-right-radius: 0.75rem;
    max-width: var(--slider-max-width-mobile);
  }

  .slider__button-container {
    left: calc((100% - var(--slider-width-mobile)) / 2);
    width: var(--slider-width-mobile);
    max-width: var(--slider-max-width-mobile);
  }
  .slider__hash-container {
    width: var(--slider-width-mobile);
  }
  .slider__hash-container span:nth-of-type(1) {
    left: calc(var(--slider-width-mobile) * 0.125);
  }
  .slider__hash-container span:nth-of-type(2) {
    left: calc(var(--slider-width-mobile) * 0.4);
  }
  .slider__hash-container span:nth-of-type(3) {
    left: calc(var(--slider-width-mobile) * 0.66);
  }
  .slider__hash-container span:nth-of-type(4) {
    left: calc(var(--slider-width-mobile) * 0.88);
  }
  .slider__wrapper {
    width: var(--slider-width-mobile);
    padding: 0;
    height: auto;
    margin: 2rem 0;
  }
  .promises p {
    font-weight: 400px;
    line-height: 18px;
    font-size: .75rem;
    width: 4.5rem;
    margin: 0 0.5rem;
  }
  #images .slick-slide {
    width: 375px;
    height: 281px;
    margin-top: -.5rem;
    margin-bottom: -.5rem;
  }

  .slick-dots {
    display: inline-flex;
    margin-top: -3.5rem;
    justify-content: center;
    width: 100%;
    position: absolute;
    padding-top: 1rem;
  }

  .slick-dots button {
    border-radius: 50%;
    width: 6px;
    height: 6px;
    background-color: #c4c4c4;
    border: none;
    color: transparent;
    margin: 2px;
  }
  .slick-active button {
    background-color: #0098fd;
  }
}
.slider__button-container button {
  border: none;
  background: none;
  cursor: pointer;
  text-transform: capitalize;
  color: var(--ash);
  font-size: 1rem;
  font-weight: 400;
  font-family: "Avenir Next";
}
.slider__button-container button.active {
  font-weight: 700;
  color: var(--blue);
}

/* Toggle */
.toggle__section {
  display: flex;
  justify-content: center;
  width: 100%;
}
.toggle__container {
  height: 2rem;
}
.toggle__item {
  display: inline-flex;
  align-items: center;
}
.toggle__item span {
  margin-right: .5rem;
}
.toggle__item:first-of-type {
  margin-right: .5rem;
}
.toggle__wrapper {
  position: relative;
  width: 3rem;
  height: 2rem;
  cursor: pointer;
}
.toggle__track-on,
.toggle__track {
  position: absolute;
  top: calc((100% - var(--toggle-track-height)) / 2);
  width: var(--toggle-track-width);
  height: var(--toggle-track-height);
  border-radius: 5rem;
}
.toggle__track {
  background: linear-gradient(var(--smoke), var(--smoke));
}
.toggle__track-on {
  opacity: 0;
  background: linear-gradient(97.79deg, var(--blue) 0%, var(--wm-aqua) 139.1%);
  transition: opacity 0.5s;
}
.t__opacity {
  opacity: 1;
}
.toggle__thumb {
  position: absolute;
  left: 0;
  top: calc((100% - var(--slider-thumb-size)) / 2);
  width: var(--slider-thumb-size);
  height: var(--slider-thumb-size);
  border-radius: 50%;
  box-shadow: 0 0.375rem 1rem -0.125rem var(--box-shadow);
  transition: left 0.125s;
}

.scrollIndicatorContainer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 3.5rem;
  bottom: 0;
  margin-bottom: 1.5rem;
}
.scrollIndicator,
.scrollIndicatorActive {
  width: .75rem;
  min-height: .75rem;
  border-radius: 1rem;
  background: var(--fog);
  cursor: pointer;
}
.scrollIndicatorActive {
  background: var(--white);
}
.mobile-only {
  visibility: unset;
}

#animated-arrow {
  display: flex;
  margin-bottom: 1rem;
  font-size: 0.75rem;
  position: relative;
  bottom: 3%;
}
.details-mobile-container {
  display: flex;
}

@media (min-width: 320px) {
  .differentVehicleContainerBottom {
    margin: 1rem 0 -2rem 0;
  }
}

@media (min-width: 640px) {
  .mobile-only {
    visibility: hidden;
  }
  .details-mobile {
    display: none;
  }
  #animated-arrow {
    display: none;
  }
  #start-design-btn-m {
    display: none;
  }
  #start-design-btn {
    display: flex;
  }
  .differentVehicleContainerBottom {
    margin: 1.5rem 0 -1rem 0;
  }
}

@media (max-width: 768px) {
  #start-design-btn-m {
    margin: 0.75rem auto 1rem auto;
  }

  .slick-slide {
    width: 425px;
  }
}

.button-primary-no-arrow-impact {
  width: 17.4rem;
  margin: 4.25rem auto 0 auto;
  display: none;
}

/* promises */

.promises {
  display: flex;
  color: var(--ash);
  justify-content: space-around;
  margin: 2.25rem 0 1rem 0;
}

.promises img {
  width: 1.5rem;
  height: 1.5rem;
}

.promises div {
  display: flex;
  margin-right: 1.5rem;
}
.promises div:last-of-type {
  margin-right: 0;
}

@media (max-width: 640px) {
  .promises {
    margin-top: 0;
  }
  .promises img {
    margin-top: 0.6rem;
  }
  .promises div {
    margin-right: 0;
  }
}

/* details-mobile */

.details-mobile {
  margin-bottom: 1rem;
  font-size: 0.75rem;
}

/* .details-mobile::after{
content: url(/assets/icons/arrow-down.svg);
top: 15%;
left: -1%;
text-align: center;
position: relative;
} */
.modal-bg {
  background-color: var(--vape);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  padding-bottom: 3rem;
}

.wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.info-box {
  padding: 1rem;
  background-color: white;
  box-shadow: 0px 6px 16px -2px rgb(0 122 255 / 10%);
  border-radius: 16px;
  padding: 1.5rem 1rem;
  width: 20.5rem;
  min-height: 16rem;
  margin: 0 .75rem 2rem .75rem;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.info-box:last-of-type {
  margin-bottom: 0;
}

.info-box button {
  width: 100%;
  max-width: 18.5rem;
  padding: .9rem .2rem;
  margin-bottom: 1.5rem;
  background-color: transparent;
  border-radius: 0.5rem;
  color: var(--blue);
  font-size: 1rem;
  line-height: 150%;
  font-weight: bold;
  border: 2px solid var(--smoke);
  position: absolute;
  bottom: 0;
  font-family: "Avenir Next";
  font-style: normal;
  cursor: pointer;
  font-synthesis: none;
}

.info-box h3 {
  color: var(--blue);
  margin: 0;
}

.how-it-works-p {
  text-align: center;
  padding: 0 1.5rem 1.5rem 1.5rem;
  width: 23.5rem;
}
.info-box span {
  display: flex;
  flex-direction: row;
  padding-bottom: .75rem;
  align-items: center;
  justify-content: flex-start;
}

/* Info modals - tablet */
@media (min-width: 768px) {
  .how-it-works-p {
    width: 33rem;
  }

  .wrapper {
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 auto;
    padding: 0 1rem;
    width: 47rem;
  }
  .info-box:last-of-type {
    margin-bottom: 2rem;
  }
  .differentVehicleContainerBottom {
    margin: 0rem 0 -1rem 0;
  }
}

/* Info Modals - desktop */
@media (min-width: 1440px) {
  .wrapper {
    width: auto;
  }
  .info-box {
    margin: 0 .75rem;
  }
  .info-box:last-of-type {
    margin: 0 .75rem 0 .75rem;
  }
  .differentVehicleContainerBottom {
    margin: 2rem 0 -1rem 0;
  }
}

#images {
  opacity: 0;
  visibility: hidden;
  transition: opacity 1s ease;
  -webkit-transition: opacity 1s ease;
}

#images.slick-initialized {
  visibility: visible;
  opacity: 1;
}

/* Info Modals */

.info-box p {
  color: var(--char);
}

.impact-eb {
  color: var(--blue);
}

.checkout-eb::before {
  content: url(/assets/icons/Cart.svg);
  margin: .25rem .5rem 0 0;
}

.design-eb::before {
  content: url(/assets/icons/eye.svg);
  margin: .25rem .5rem 0 0;
}

.grow-eb::before {
  content: url(/assets/icons/trending-sm.svg);
  margin: .25rem .5rem 0 0;
}

.eyebrow {
  line-height: 150%;
  display: flex;
  align-items: center;
}
.eyebrow-step,
.info-divider {
  padding-left: .75rem;
  color: var(--fog);
}

.p-underfold {
  margin-top: 3rem;
}

.installation-eb::before {
  content: url(/assets/icons/pin-medium-blue.svg);
  margin: .25rem .5rem 0 0;
}

.step-modal {
  width: 31.5rem;
}

/* satisfaction guaranteed section */
.satisfactionSection {
  display: flex;
  justify-content: center;
  text-align: center;
  width: 21rem;
  padding: 2rem 0;
}
.satisfactionSection div {
  margin-bottom: 5.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.satisfactionSection img {
  width: 8.25rem;
  margin-bottom: -.5rem;
}
.satisfactionSection h4 {
  font-size: 1.5rem;
  font-weight: 400;
}
@media (max-width: 1024px) {
  .satisfactionSection {
    margin-top: 0;
  }
  .impact__included button {
    display: none;
  }
}

@media (max-width: 640px) {
  .satisfactionSection {
    width: 12rem;
  }
  .satisfactionSection img {
    width: 8.25rem;
  }
  .satisfactionSection h2 {
    font-size: 1.25rem;
    margin-bottom: .25rem;
    width: 15rem;
  }
  .satisfactionSection h4 {
    font-size: 1rem;
    width: 14rem;
    line-height: 1.5rem;
  }
  .impact-main .quote {
    margin-top: 0;
  }
  .impact__included {
    padding: 0 1.5rem;
    width: 100%;
  }
  .impact__included button {
    width: 100%;
    max-width: 24rem;
    display: flex;
  }
}

/* additional coverage roof/windows box */
.additionalCoverage {
  display: flex;
  justify-content: center;
  width: 64.5rem;
  min-height: 21.5rem;
  margin: 3.375rem 0 10rem 0;
  text-align: center;
  border: 1px solid var(--fog);
  border-radius: .5rem;
}
.additionalCoverage h2 {
  margin-top: 5.25rem;
}
.additionalCoverage p {
  width: 32rem;
  line-height: 150%;
}
.impact__toggle-wrapper {
  margin-top: 1.5rem;
}
@media (max-width: 1024px) {
  .additionalCoverage {
    width: 42.375rem;
    margin: 2.75rem 0;
    min-height: 21.5rem;
  }
}
@media (max-width: 640px) {
  .additionalCoverage {
    width: 20.5rem;
    margin: 3rem 0 4.25rem 0;
    min-height: 16rem;
  }
  .additionalCoverage h2 {
    margin-top: 1.5rem;
  }
  .additionalCoverage p {
    width: 17.25rem;
  }
}

/* Hack for a Safari only bug, impact images appear squished */
@media (min-width: 768px) {
  #images .slick-track img {
    min-height: 22.5rem;
  }
}
@media (min-width: 1024px) {
  #images .slick-track img {
    min-height: 14.5rem;
  }
}
@media (min-width: 1250px) {
  #images .slick-track img {
    min-height: 18rem;
  }
}
@media (min-width: 1440px) {
  #images .slick-track img {
    min-height: 20.875rem;
  }
}
@media (min-width: 1600px) {
  #images .slick-track img {
    min-height: 23.25rem;
  }
}
@media (min-width: 1920px) {
  #images .slick-track img {
    min-height: 28.25rem;
  }
}

/* EXPRESSWAY B */

/* Mobile view */
@media (max-width: 640px) {
  .impact-b-estimate-header {
    text-transform: uppercase;
    font-weight: 600;
    line-height: 18px;
    letter-spacing: 2px;
    color: var(--char);
  }
  .impact-b.questionnaireHeader {
    margin-bottom: .75rem;
  }
  .impact-b.impact-header-container {
    margin: .25rem 0 0 0;
  }
  .impact-b.proj-total {
    font-size: 2rem;
    line-height: 38.5px;
  }
  .impact__cost .impact-b.proj-total::before {
    font-size: 1.5rem;
    line-height: 31px;
    margin-bottom: .3rem;
  }
  .impact-b .toggle__container {
    padding: .5rem 1.75rem;
    background-color: #e1eaf14a;
    border-radius: 2rem;
    height: 48px;
  }
  .impact-b .toggle__container span {
    font-size: .75rem;
    color: #808b94;
  }
  .impact-b.impact__toggle-wrapper {
    margin-top: 0;
    padding: .5rem 0 .75rem 0;
  }
  .impact-b.promises {
    width: 100%;
    display: flex;
    justify-content: center;
  }
  .impact-b.promises img {
    width: .75rem;
    margin-top: 0;
  }
  .impact-b.promises .p3 {
    font-size: .75rem;
    font-weight: 700;
    color: var(--blue);
    width: auto;
  }
  .impact-b .promises-item {
    display: flex;
    align-items: center;
    margin-right: .5rem;
  }
}

/* Tablet/Desktop view */
@media (min-width: 641px) {
  .impact-b.start-design-btn {
    width: 20rem;
  }
  .impact-b-estimate-header {
    text-transform: uppercase;
    font-weight: 600;
    line-height: 18px;
    letter-spacing: 2px;
    color: var(--char);
    font-size: 1rem;
  }
  .impact-b.questionnaireHeader {
    margin-bottom: .75rem;
  }
  .impact-b.impact-header-container {
    margin: .5rem 0 .5rem 0;
  }
  .impact-b.proj-total {
    font-size: 3rem;
    line-height: 56px;
  }
  .impact-b.example-design-p {
    font-size: 1rem;
  }

  .impact-b .toggle__container {
    padding: .5rem 1.75rem;
    background-color: #e1eaf14a;
    border-radius: 2rem;
    height: 48px;
  }
  .impact-b .toggle__container span {
    font-size: 1rem;
    color: #808b94;
  }
  .impact-b.start-design-btn {
    margin: 1.75rem auto 0 auto;
  }
  .impact-b.impact__toggle-wrapper {
    margin-top: 0;
    padding: 1.25rem 0 .75rem 0;
  }
  .impact-b.promises img {
    width: 1.25rem;
  }
  .impact-b.promises .p3 {
    font-weight: 700;
    color: var(--blue);
  }
  .impact-b.promises {
    margin-top: 1.75rem;
  }
}
.impact-b.start-design-btn {
  position: relative;
  padding: 1rem .75rem;
}

.impact-b.start-design-btn:disabled {
  background-color: var(--blue);
  color: var(--white);
  cursor: not-allowed;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.impact-loading-icon {
  animation: rotate 2s linear infinite;
  margin-left: .75rem;
}

.impact-button-loading-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  right: .9rem;
}
